--- a/libwulf/Makefile.am
+++ b/libwulf/Makefile.am
@@ -48,14 +48,14 @@
 # Define parameters and directives needed in compile/link steps.
 #========================================================================
 # C Compiler
-CC = gcc
+CC ?= gcc
 
 # Compile flags.  -fpic creates "position independent code" for
 # shared libraries!
-CFLAGS = -O3 -I/usr/include/libxml2 -I ../include $(DEFINES) 
+CFLAGS += -I/usr/include/libxml2 -I ../include $(DEFINES) 
 
 # Linker flags
-LDFLAGS = -g -fpic --shared -Wl,-soname,$(PROGLIB_SONAME)
+LDFLAGS += -fpic --shared -Wl,-soname,$(PROGLIB_SONAME)
 
 # Libraries
 LIBS = -lpthread -lxml2 -lm 
@@ -110,7 +110,7 @@
 install: $(PROGLIB_SO_VERSION) $(PROGMAN)
 	(install -d $(libdir); \
 	install -m 755 $(PROGLIB_SO_VERSION) $(libdir)/$(PROGLIB_SO_VERSION); \
-        ln -sf $(libdir)/$(PROGLIB_SO_VERSION) $(libdir)/$(PROGLIB_SO); \
+        ln -sf $(PROGLIB_SO_VERSION) $(libdir)/$(PROGLIB_SO); \
 	install -d $(includedir)/wulfware; \
 	install -m 644 ../include/wulfware/*.h $(includedir)/wulfware; \
 	install -d $(prefix)/share/man/man3; \
--- a/wulf2html/Makefile.am
+++ b/wulf2html/Makefile.am
@@ -62,8 +62,7 @@
 	echo "Clean does nothing"
 
 install : $(PROGRAM)
-	(strip $(PROGRAM);\
-	install -d $(prefix)/bin; \
+	(install -d $(prefix)/bin; \
 	install -m 755 $(PROGRAM) $(prefix)/bin; \
 	install -d $(sysconfdir); \
 	install -d $(sysconfdir)/init.d; \
--- a/wulflogger/Makefile.am
+++ b/wulflogger/Makefile.am
@@ -54,13 +54,13 @@
 # Define parameters and directives needed in compile/link steps.
 #========================================================================
 # C Compiler
-CC = gcc
+CC ?= gcc
 
 # Compile flags
-CFLAGS = -O3 -I/usr/include/libxml2 -I ../include $(DEFINES)
+CFLAGS += -I/usr/include/libxml2 -I ../include $(DEFINES)
 
 # Linker flags
-LDFLAGS =
+LDFLAGS +=
 
 # Libraries
 LIBS = -L ../libwulf -lwulf -lpthread -lcurses -lxml2 -lm 
@@ -108,8 +108,7 @@
 	- rm -f core $(PROGRAM) *.o $(PROGRAM).1.gz
 
 install : $(PROGRAM)
-	(strip $(PROGRAM);\
-	install -d $(prefix)/bin; \
+	(install -d $(prefix)/bin; \
 	install -m 755 $(PROGRAM) $(prefix)/bin; \
 	install -d $(prefix)/share/man/man1; \
 	gzip -c -9 $(PROGRAM).1 > $(PROGRAM).1.gz; \
--- a/wulfstat/Makefile.am
+++ b/wulfstat/Makefile.am
@@ -54,13 +54,13 @@
 # Define parameters and directives needed in compile/link steps.
 #========================================================================
 # C Compiler
-CC = gcc
+CC ?= gcc
 
 # Compile flags
-CFLAGS = -O3 -I/usr/include/libxml2 -I ../include $(DEFINES)
+CFLAGS += -I/usr/include/libxml2 -I ../include $(DEFINES)
 
 # Linker flags
-LDFLAGS =
+LDFLAGS +=
 
 # Libraries
 LIBS = -L ../libwulf -lwulf -lpthread -lcurses -lxml2 -lm 
@@ -108,8 +108,7 @@
 	- rm -f core $(PROGRAM) *.o $(PROGRAM).1.gz
 
 install : $(PROGRAM)
-	(strip $(PROGRAM);\
-	install -d $(prefix)/bin; \
+	(install -d $(prefix)/bin; \
 	install -m 755 $(PROGRAM) $(prefix)/bin; \
 	install -d $(prefix)/share/man/man1; \
 	gzip -c -9 $(PROGRAM).1 > $(PROGRAM).1.gz; \
--- a/xmlsysd/Makefile.am
+++ b/xmlsysd/Makefile.am
@@ -60,13 +60,13 @@
 # Define parameters and directives needed in compile/link steps.
 #========================================================================
 # C Compiler
-CC = gcc
+CC ?= gcc
 
 # Compile flags
-CFLAGS = -O3 -I/usr/include/libxml2 $(DEFINES)
+CFLAGS += -I/usr/include/libxml2 $(DEFINES)
 
 # Linker flags
-LDFLAGS =
+LDFLAGS +=
 
 # Libraries
 LIBS = -lxml2 -lz -lm
@@ -79,7 +79,7 @@
 all: $(PROGRAM) 
 
 $(PROGRAM): $(OBJECTS) $(INCLUDES)
-	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(LIBS) $(OBJECTS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJECTS) $(LIBS) -o $@
 
 #========================================================================
 # The only safe place to do commits is in the toplevel directory
@@ -109,8 +109,7 @@
 # Application installation.
 #========================================================================
 install :  $(PROGRAM)
-	(strip $(PROGRAM); \
-	install -d $(sbindir); \
+	(install -d $(sbindir); \
 	install -m 755 $(PROGRAM) $(sbindir); \
 	install -d $(sysconfdir); \
 	install -d $(sysconfdir)/xinetd.d; \
